ESEARCH(1)

NAME
esearch - search an NCBI Entrez database

SYNOPSIS
esearch (edirect -search) [-help] -db name -q[uery] str [-sort field] [-days N] [-datetype field] [-mindate date] [-maxdate date] [-field field] [-pairs field] [-spell] [-label name]

DESCRIPTION
esearch searches an NCBI Entrez database for a given query.

OPTIONS

  Query Specification

-db name
    Entrez database name.

-q[uery] str
    Query string.

  Document Order

-sort field
    Sort results by the given field.

  Date Constraint

-days N
    Return only results from the past N days.

-datetype field
    Which date field (in abbreviated form) to consider.

-mindate date
    Start of date range.

-maxdate date
    End of date range.

  Limit by Field

-field field
    Query words individually in field.

-pairs field
    Query overlapping word pairs.

  Spell Check

-spell
    Correct misspellings in query.

  Miscellaneous Arguments

-help
    Print usage information.

-label name
    Alias for query step.

SEE ALSO
edirect(1), efetch(1), eproxy(1), espell(1).